(file) Return to tog-pegasus.rc CVS log (file) (dir) Up to [Pegasus] / pegasus / rpm

File: [Pegasus] / pegasus / rpm / tog-pegasus.rc (download)
Revision: 1.6.8.1, Fri Feb 10 16:09:06 2006 UTC (18 years, 3 months ago) by a.dunfey
Branch: PEP233_EmbeddedInstSupport-branch
Changes since 1.6: +5 -3 lines
PEP#: 233
TITLE: Updated Embedded Instance Support branch

DESCRIPTION:

- Merged with latest code from 2.5.1

- Modified ObjectNormalizer to use a CIMOMHandle instead of the repository and to normalize the instances in an embedded instance property.

#//%2006////////////////////////////////////////////////////////////////////////
#//
#// Copyright (c) 2000, 2001, 2002 BMC Software; Hewlett-Packard Development
#// Company, L.P.; IBM Corp.; The Open Group; Tivoli Systems.
#// Copyright (c) 2003 BMC Software; Hewlett-Packard Development Company, L.P.;
#// IBM Corp.; EMC Corporation, The Open Group.
#// Copyright (c) 2004 BMC Software; Hewlett-Packard Development Company, L.P.;
#// IBM Corp.; EMC Corporation; VERITAS Software Corporation; The Open Group.
#// Copyright (c) 2005 Hewlett-Packard Development Company, L.P.; IBM Corp.;
#// EMC Corporation; VERITAS Software Corporation; The Open Group.
#// Copyright (c) 2006 Hewlett-Packard Development Company, L.P.; IBM Corp.;
#// EMC Corporation; Symantec Corporation; The Open Group.
#//
#// Permission is hereby granted, free of charge, to any person obtaining a copy
#// of this software and associated documentation files (the "Software"), to
#// deal in the Software without restriction, including without limitation the
#// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
#// sell copies of the Software, and to permit persons to whom the Software is
#// furnished to do so, subject to the following conditions:
#// 
#// THE ABOVE COPYRIGHT NOTICE AND THIS PERMISSION NOTICE SHALL BE INCLUDED IN
#// ALL COPIES OR SUBSTANTIAL PORTIONS OF THE SOFTWARE. THE SOFTWARE IS PROVIDED
#// "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
#// LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
#// PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
#// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
#// ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
#// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#//
#//==============================================================================
#! /bin/sh
#//
#//%/////////////////////////////////////////////////////////////////////////////

### BEGIN INIT INFO
# Provides: tog-pegasus
# Required-Start: $syslog $network
# Should-Start: $time
# Required-Stop: $syslog
# Default-Start:  3 5
# Default-Stop: 0 1 2 6
# Description:	  init script for Pegasus CIM server
### END INIT INFO

CIMSERVER_BIN=/opt/tog-pegasus/sbin/cimserver
prog=cimserver

test -x $CIMSERVER_BIN || exit 5

. /lib/lsb/init-functions
RETVAL=0

case "$1" in
     start)
	echo -n $"Starting up CIM server: "
	$CIMSERVER_BIN
	RETVAL=$?
	[ "$RETVAL" -eq 0 ] && log_success_msg $"$prog start" || log_failure_msg $"$prog start"
	echo
	;;

     stop)
	echo -n $"Shutting down CIM server: "
	killproc cimserver
	RETVAL=$?
	[ "$RETVAL" -eq 0 ] && log_success_msg $"$prog stop" || log_failure_msg $"$prog stop"
	echo
	;;
     status)
	pid=`pidofproc $CIMSERVER_BIN`
	RETVAL=$?
	if [ "$RETVAL" -eq 0 ]; then
		echo "CIM server is running"
	else
		echo "CIM server is not running"
	fi
	;;
     condrestart)
	pid=`pidofproc $CIMSERVER_BIN`
	RETVAL=$?
	if [ "$RETVAL" -eq 0 ]; then
	    $0 stop && $0 start;
	    RETVAL=$?;
	fi;
        ;;
     try-restart)
	$0 stop && $0 start
	;;
     restart|force-reload)
	$0 stop
	$0 start
	;;
     reload)
	;;
     *)
	echo "Usage: $0 {start|stop|status|restart|reload|force-reload|try-restart}"
	exit 1
esac

exit $RETVAL


No CVS admin address has been configured
Powered by
ViewCVS 0.9.2